<?php
declare(strict_types = 1);

class_exists('DB') || die;

require_once(__DIR__ . '/classes/GalleryCategory.class.php');

Template::set('template',
[
	'file' => 'category.tpl.php'
]);

// Informations de la catégorie.
$r = GalleryCategory::getInfos('category', (int) $_GET['category_id']);
if ($r < 0)
{
	Gallery::error();
	return;
}
if ($r < 1)
{
	Gallery::notFound();
	return;
}

// Sous-catégories.
$r = GalleryCategory::getCategories();
if ($r < 0)
{
	Gallery::error();
	return;
}
if ($r < 1)
{
	Gallery::notFound();
	return;
}

// Nombre de fichiers récents.
GalleryCategory::getRecentItemsCount();

// Filtres.
Gallery::filters();
?>